Bug 196097 - [MAINTAINER] Update sysutils/tlsdate to 0.0.11
Summary: [MAINTAINER] Update sysutils/tlsdate to 0.0.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-18 15:14 UTC by Fabian Keil
Modified: 2015-03-15 13:19 UTC (History)
2 users (show)

See Also:


Attachments
Update sysutils/tlsdate to 0.0.11 (4.74 KB, text/sgml)
2014-12-18 15:14 UTC, Fabian Keil
no flags Details
sysutils/tlsdate: Update to 0.0.11 (4.81 KB, patch)
2014-12-23 10:12 UTC, Fabian Keil
no flags Details | Diff
sysutils/tlsdate: Update to 0.0.11 (rebased) (4.85 KB, patch)
2015-02-25 12:54 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2014-12-18 15:14:21 UTC
Created attachment 150723 [details]
Update sysutils/tlsdate to 0.0.11

This minor update removes patches that have been committed
upstream and removes LICENSE goo that has been added
without maintainer approval.

Multiple requests to back it out were unfortunately ignored.
My understanding is that the LICENSE framework is still
optional and I prefer not to use it until it's documented.

The upstream changes are documented at:
https://github.com/ioerror/tlsdate/blob/master/CHANGELOG
Comment 1 Vanilla I. Shu freebsd_committer 2014-12-23 02:38:36 UTC
I got following error message with poudriere

---------
====> Compressing man pages (compress-man)
===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/LICENSE
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/sysutils/tlsdate
====>> Error: check-plist failures detected
build of sysutils/tlsdate ended at Tue Dec 23 10:37:09 CST 2014
build time: 00:00:20
!!! build failure encountered !!!
[00:00:27] ====>> Error: Build failed in phase: check-plist
[00:00:27] ====>> Cleaning up
[00:00:27] ====>> Umounting file systems
Comment 2 Fabian Keil 2014-12-23 10:12:37 UTC
Created attachment 150905 [details]
sysutils/tlsdate: Update to 0.0.11

Sorry, I don't use poudriere and test with DEVELOPER=yes
which doesn't complain about this.

In my opinion that poudriere check isn't particular useful,
but arguing about that is probably pointless.

Anyway, the updated patch hopefully fixes the poudriere complaint.
Comment 3 John Marino freebsd_committer 2015-02-06 17:32:50 UTC
(In reply to fk from comment #2)
> Sorry, I don't use poudriere and test with DEVELOPER=yes
> which doesn't complain about this.

which just proved that DEVELOPER=yes is inferior

> In my opinion that poudriere check isn't particular useful,
> but arguing about that is probably pointless.

Yes, it's pointless.  If there's not guideline that stagedir and pkg-plist will match, a big QA test is lost.  More importantly, the port is considered failed if it doesn't pass the test so it's an academic discussion.

> Anyway, the updated patch hopefully fixes the poudriere complaint.

Without any kind of test log, not even "make check-plist ; make stage-qa", how is a person reviewing the PR supposed to know if it fixes it or not?  (hopefully your answer isn't "download it and run it through poudriere yourself").
Comment 4 Bartek Rutkowski freebsd_committer 2015-02-24 11:54:16 UTC
The current patch doesnt seem to apply cleanly to the port revision 379672. Could you please attach a new patch so we could test it?
Comment 5 Fabian Keil 2015-02-25 12:54:29 UTC
Created attachment 153520 [details]
sysutils/tlsdate: Update to 0.0.11 (rebased)

Sure. Thanks for looking into this.
Comment 6 commit-hook freebsd_committer 2015-02-26 12:43:27 UTC
A commit references this bug:

Author: robak
Date: Thu Feb 26 12:42:28 UTC 2015
New revision: 379992
URL: https://svnweb.freebsd.org/changeset/ports/379992

Log:
  sysutils/tlsdate: update 0.0.7 -> 0.0.11

  - Delete obsolete patch

  PR:		196097
  Submitted by:	Fabian Keil <fk@fabiankeil.de>

Changes:
  head/sysutils/tlsdate/Makefile
  head/sysutils/tlsdate/distinfo
  head/sysutils/tlsdate/files/
  head/sysutils/tlsdate/pkg-plist
Comment 7 Bartek Rutkowski freebsd_committer 2015-02-26 12:44:37 UTC
Committed, with minor changes (see the port), thanks for your work!
Comment 8 Fabian Keil 2015-03-01 13:50:50 UTC
If you partially reject maintainer patches without discussion, please at least mention it in the commit log and provide a justification afterwards.

AFAIK the LICENSE goo is still optional and I did not opt in.
Comment 9 Bartek Rutkowski freebsd_committer 2015-03-01 15:25:18 UTC
Hi,

Sorry about the misundestanding my commit has created in the first place. Let me address your concerns:

1) LICENSE* framework is no optional and the port does have a LICENSE file, so regardless of the fact if you'd use or not LICENSE* framework, it is still under BSD3CLAUSE license. The LICENSE* framework is merely a way for ports and their users to know about it and be able to process such information, not including LICENSE* framework DOES NOT change the legal obligations/consequences arising from the software license. Also, including LICENSE* framework doesnt do it. So, removing correct LICENSE* entries was a wrong thing to do.

2) The reason why I committed your patch with that small change without talking to you first was simply a good will - it is very often for maintainers and PR submitters to do small mistakes in their patches and it is very often that fixing these small mistakes is weeks faster than asking the original submitter to do so. Instead, it is a common practice to fix them, and to inform the submitter that the commit was modified a little bit, so he could learn what the difference was. This was such case, I simply wanted to have your port updated for everyone, including you, sooner, than later.

I hope this answers your doubts on how this PR was handled and why it was handled this way.

Kind regards,
Bartek Rutkowski
Comment 10 Fabian Keil 2015-03-04 19:00:39 UTC
Thanks for the response.

So when was the LICENSE stuff made mandatory and who made this decision?

If the decision was announced on a committers-only list, I think the announcement should be forwarded to freebsd-ports@ as well.
Comment 11 Fabian Keil 2015-03-13 16:31:39 UTC
Please either provide the requested information or remove the LICENSE stuff.
Comment 12 Baptiste Daroussin freebsd_committer 2015-03-14 04:24:40 UTC
The license is more than highly recommanded to use, it helps users to figure out what is license of a particular port, it simplifies the work of people trying to take care of the legal work on the ports tree, so as much as it is possible, all the ports should specify the license, if the framework is not good enough for some situation, it should be improved.
So the adding of the license information was the right thing to do. It should remain except if it is wrong in that case it should be fixed, but not removed
Comment 13 Fabian Keil 2015-03-15 11:04:32 UTC
Thanks for the response, Baptiste.

Please reassign sysutils/tlsdate to ports@.

Unfortunately my impression is that the license framework
is unmaintained and thus it seems unlikely to me that its
issues (e.g. the ones mentioned in Bug #187926) will be
addressed any time soon.
Comment 14 commit-hook freebsd_committer 2015-03-15 13:18:59 UTC
A commit references this bug:

Author: robak
Date: Sun Mar 15 13:18:36 UTC 2015
New revision: 381329
URL: https://svnweb.freebsd.org/changeset/ports/381329

Log:
  sysutils/tlsdate: reset MAINTAINER to ports@FreeBSD.org

  PR:		196097
  Submitted by:	Fabian Keil <fk@fabiankeil.de>

Changes:
  head/sysutils/tlsdate/Makefile
Comment 15 Bartek Rutkowski freebsd_committer 2015-03-15 13:19:52 UTC
Committed the MAINTAINER reset, thanks for all your work so far, Fabian, and dont give up just because of the license stuff!